package com.changhu.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.common.db.enums.MiniProgramUserIdentity;
import com.changhu.pojo.vo.UnitMiniProgramUserPagerQueryParams;
import com.changhu.pojo.vo.UnitMiniProgramUserPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 20252
 * @createTime 2024/11/22 上午9:05
 * @desc ManagementMapper...
 */
@Mapper
public interface ManagementMapper {
    /**
     * 分页查询
     *
     * @param page     分页参数
     * @param params   查询参数
     * @param identity 用户身份
     * @return 结果
     */
    Page<UnitMiniProgramUserPagerVo> miniProgramUserPager(@Param("page") Page<UnitMiniProgramUserPagerVo> page,
                                                          @Param("params") UnitMiniProgramUserPagerQueryParams params,
                                                          @Param("identity") MiniProgramUserIdentity identity);
}
