package com.changhu.module.miniProgram.service;

import com.changhu.common.pojo.vo.SelectNodeVo;
import com.changhu.module.miniProgram.pojo.vo.IndexDataStatisticsVo;
import com.changhu.module.miniProgram.pojo.vo.IndexServiceProjectListVo;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/9/11 上午10:52
 * @desc MPoliceService...
 */
public interface PoliceIndexService {

    /**
     * 首页数据统计
     *
     * @return 首页数据统计
     */
    IndexDataStatisticsVo dataStatistics();

    /**
     * 获取单位内的服务项目
     *
     * @return 服务项目
     */
    List<IndexServiceProjectListVo> getUnitServiceProjectList();

    /**
     * 获取单位内的企事业单位列表
     *
     * @return 企事业单位列表
     */
    List<SelectNodeVo<Long>> getUnitEnterprisesUnitList();

}
