package com.changhu.module.miniProgram.service.impl;

import com.changhu.common.utils.UserUtil;
import com.changhu.mapper.ServiceProjectMapper;
import com.changhu.module.miniProgram.pojo.vo.IndexServiceProjectListVo;
import com.changhu.module.miniProgram.service.ProjectManageIndexService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/9/10 下午3:50
 * @desc ProjectManageIndexServiceImpl...
 */
@Slf4j
@Service
public class ProjectManageIndexServiceImpl implements ProjectManageIndexService {

    @Autowired
    private ServiceProjectMapper serviceProjectMapper;

    @Override
    public List<IndexServiceProjectListVo> getMyServiceProjectList() {
        return serviceProjectMapper.getServiceProjectList(null, UserUtil.getUserId());
    }

}
