package com.changhu.module.policeManagement.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.policeManagement.pojo.queryParams.UserPagerQueryParams;
import com.changhu.module.policeManagement.pojo.vo.UserPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author 20252
 * @createTime 2024/11/22 上午9:34
 * @desc UserMapper...
 */
@Mapper
@Repository("policeManagementUserMapper")
public interface UserMapper {
    /**
     * 分页查询用户
     *
     * @param page   分页参数
     * @param params 查询参数
     * @return 用户
     */
    Page<UserPagerVo> pager(@Param("page") Page<UserPagerVo> page,
                            @Param("params") UserPagerQueryParams params);
}
