package com.changhu.module.securityManagement.pojo.vo;

import com.changhu.common.db.enums.IsEnable;
import com.changhu.common.db.enums.IsOrNot;
import com.changhu.common.db.enums.Sex;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author 20252
 * @createTime 2024/9/3 上午10:59
 * @desc UserPagerVo...
 */
@Data
public class UserPagerVo {

    @Schema(description = "id")
    private Long snowFlakeId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "性别")
    private Sex sex;

    @Schema(description = "账号")
    private String account;

    @Schema(description = "手机号")
    private String telephone;


    @Schema(description = "是否启用")
    private IsEnable isEnable;

    @Schema(description = "是否是超管")
    private IsOrNot isAdmin;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "创建人")
    private String createUserName;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;
}
