package com.changhu.module.securityManagement.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.securityManagement.pojo.params.ServiceProjectSaveOrUpdateParams;
import com.changhu.module.securityManagement.pojo.queryParams.ServiceProjectPagerQueryParams;
import com.changhu.module.securityManagement.pojo.vo.ServiceProjectPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

/**
 * @author 20252
 * @createTime 2024/11/22 上午10:21
 * @desc Service_ProjectService...
 */
public interface Service_ProjectService {
    /**
     * 分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<ServiceProjectPagerVo> pager(PageParams<ServiceProjectPagerQueryParams, ServiceProjectPagerVo> queryParams);

    /**
     * 新增或者保存
     *
     * @param params 参数
     */
    void saveOrUpdate(ServiceProjectSaveOrUpdateParams params);
}
