package com.changhu.module.superManagement.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.superManagement.pojo.queryParams.AssessmentRecordPagerQueryParams;
import com.changhu.module.superManagement.pojo.vo.AssessmentRecordPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 20252
 * @createTime 2024/11/22 下午3:05
 * @desc AssessmentRecordMapper...
 */
@Mapper
public interface AssessmentRecordMapper {
    /**
     * 分页查询
     *
     * @param page         分页对象
     * @param policeUnitId 公安单位id
     * @param params       查询参数
     * @return 结果
     */
    Page<AssessmentRecordPagerVo> pager(@Param("page") Page<AssessmentRecordPagerVo> page,
                                        @Param("policeUnitId") Long policeUnitId,
                                        @Param("params") AssessmentRecordPagerQueryParams params);
}
