package com.changhu.pojo.vo;

import com.changhu.common.db.enums.CheckStatus;
import com.changhu.common.db.enums.IsEnable;
import com.changhu.common.db.enums.MiniProgramUserIdentity;
import com.changhu.common.db.enums.Sex;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author 20252
 * @createTime 2024/9/6 下午4:32
 * @desc 单位下的微信小程序用户
 */
@Data
public class UnitMiniProgramUserPagerVo {

    @Schema(description = "id")
    private Long snowFlakeId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "手机号")
    private String telephone;

    @Schema(description = "性别")
    private Sex sex;

    @Schema(description = "身份证")
    private String idCard;

    @Schema(description = "身份")
    private MiniProgramUserIdentity identity;

    @Schema(description = "审核状态")
    private CheckStatus checkStatus;

    @Schema(description = "是否启用")
    private IsEnable isEnable;

    @Schema(description = ":创建时间")
    private LocalDateTime createTime;
}
