package com.changhu.service;

import org.springframework.core.io.Resource;
import org.springframework.http.ResponseEntity;

/**
 * @author 20252
 * @createTime 2024/11/22 上午11:48
 * @desc WxService...
 */
public interface WxService {
    /**
     * 获取小程序页面二维码
     *
     * @param path  路径
     * @param width 宽度
     * @return 二维码
     */
    ResponseEntity<Resource> qrCode(String path, Integer width);
}
