package com.changhu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.miniProgram.pojo.queryParams.ServiceProjectSecurityUserPagerQueryParams;
import com.changhu.module.miniProgram.pojo.vo.ServiceProjectSecurityUserPagerVo;
import com.changhu.pojo.entity.SecurityUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * security_user (保安人员)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface SecurityUserMapper extends BaseMapper<SecurityUser> {
    /**
     * 服务项目内的保安人员分页
     *
     * @param page   分页对象
     * @param params 查询参数
     * @return 人员
     */
    Page<ServiceProjectSecurityUserPagerVo> securityUserPager(@Param("page") Page<ServiceProjectSecurityUserPagerVo> page,
                                                              @Param("params") ServiceProjectSecurityUserPagerQueryParams params);
}
