package com.changhu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.changhu.module.miniProgram.pojo.vo.IndexServiceProjectListVo;
import com.changhu.pojo.entity.ServiceProject;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * service_project (服务项目)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface ServiceProjectMapper extends BaseMapper<ServiceProject> {

    /**
     * 获取服务项目
     *
     * @return 服务项目列表
     */
    List<IndexServiceProjectListVo> getServiceProjectList(@Param("policeUnitId") Long policeUnitId,
                                                          @Param("projectManagerMiniProgramUserId") Long projectManagerMiniProgramUserId);

}
