package com.changhu.module.securityManagement.pojo.queryParams;

import com.changhu.common.db.enums.ServiceProjectType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/5 上午11:15
 * @desc ServiceProjectPagerQueryParams...
 */
@Data
public class ServiceProjectPagerQueryParams {
    @Schema(description = "服务项目名称")
    private String name;
    @Schema(description = "服务项目类型")
    private ServiceProjectType type;
    @Schema(description = "备注")
    private String remark;
    @Schema(description = "项目经理小程序用户名称")
    private String projectManagerMiniProgramUserName;
}
