package com.changhu.module.superManagement.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.superManagement.pojo.queryParams.PoliceUnitPagerQueryParams;
import com.changhu.module.superManagement.pojo.queryParams.SecurityUnitPagerQueryParams;
import com.changhu.module.superManagement.pojo.vo.PoliceUnitPagerVo;
import com.changhu.module.superManagement.pojo.vo.SecurityUnitPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 20252
 * @createTime 2024/11/21 下午3:15
 * @desc SuperUnitMapper...
 */
@Mapper
public interface SuperUnitMapper {
    /**
     * 分页查询
     *
     * @param page   分页参数
     * @param params 查询参数
     * @return 结果
     */
    Page<PoliceUnitPagerVo> policeUnitPager(@Param("page") Page<PoliceUnitPagerVo> page,
                                            @Param("params") PoliceUnitPagerQueryParams params);

    /**
     * 分页查询
     *
     * @param page   分页对象
     * @param params 查询参数
     * @return 结果
     */
    Page<SecurityUnitPagerVo> securityUnitPager(@Param("page") Page<SecurityUnitPagerVo> page,
                                    @Param("params") SecurityUnitPagerQueryParams params);
}
