package com.changhu.module.superManagement.pojo.params;

import com.changhu.common.validator.annotation.IsMobile;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/8/28 下午5:47
 * @desc ManagementSuperUserSaveOrUpdateParams...
 */
@Data
public class ManagementSuperUserSaveOrUpdateParams {

    @Schema(description = "id")
    private Long snowFlakeId;

    @Schema(description = "名称")
    @NotNull(message = "用户名不能为空")
    private String name;

    @Schema(description = "手机号")
    @IsMobile
    private String telephone;
}
