package com.changhu.module.superManagement.pojo.queryParams;

import com.changhu.common.db.enums.EnterprisesUnitType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/11/8 下午3:52
 * @desc AssessmentRecordPagerQueryParams...
 */
@Data
public class AssessmentRecordPagerQueryParams {
    @Schema(description = "企事业单位类型")
    private EnterprisesUnitType type;
    @Schema(description = "公安单位名称")
    private String policeUnitName;
    @Schema(description = "企事业单位名称")
    private String enterprisesUnitName;
    @Schema(description = "考核人")
    private String assessmentUserName;
}
