package com.changhu.module.superManagement.pojo.vo;

import com.changhu.common.db.enums.EnterprisesUnitType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author 20252
 * @createTime 2024/11/8 下午3:53
 * @desc AssessmentRecordPagerVo...
 */
@Data
public class AssessmentRecordPagerVo {
    @Schema(description = "考核记录id")
    private Long snowFlakeId;
    @Schema(description = "企事业单位名称")
    private String enterprisesUnitName;

    @Schema(description = "考核项目名称")
    private String ckProjectName;
    @Schema(description = "考核项目总分")
    private Integer totalScore;
    @Schema(description = "考核项目类型")
    private EnterprisesUnitType type;
    @Schema(description = "考核项目备注")
    private String ckProjectRemark;

    @Schema(description = "公安单位名称")
    private String policeUnitName;
    @Schema(description = "在这是考核人")
    private String createUserName;
    @Schema(description = "在这是考核时间")
    private LocalDateTime createTime;

    @Schema(description = "考核人员签字")
    private String assessmentUserSignature;
    @Schema(description = "被考核单位人员签字")
    private String byAssessmentEnterprisesUnitUserSignature;
    @Schema(description = "考核备注")
    private String remark;

    @Schema(description = "总扣分")
    private Double deductionPointsTotal;

}
