package com.changhu.module.superManagement.pojo.vo;

import com.changhu.common.db.enums.EnterprisesUnitType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author 20252
 * @createTime 2024/11/6 上午10:05
 * @desc CkProjectPagerVo...
 */
@Data
public class CkProjectPagerVo {

    @Schema(description = "考核项目id")
    private Long snowFlakeId;
    @Schema(description = "考核项目名称")
    private String name;
    @Schema(description = "对应企事业单位类型")
    private EnterprisesUnitType type;
    @Schema(description = "考核总分")
    private Integer totalScore;
    @Schema(description = "备注")
    private String remark;
    @Schema(description = "创建时间")
    private LocalDateTime createTime;
    @Schema(description = "创建人名字")
    private String createUserName;
}
