package com.changhu.module.superManagement.pojo.vo;

import com.changhu.common.db.enums.CheckStatus;
import com.changhu.common.db.enums.IsEnable;
import com.changhu.pojo.model.ContactPersonInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author 20252
 * @createTime 2024/8/30 下午3:55
 * @desc PoliceUnitPagerVo...
 */
@Data
public class PoliceUnitPagerVo {

    @Schema(description = "id")
    private Long snowFlakeId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "代码")
    private String code;

    @Schema(description = "省编码")
    private String province;
    @Schema(description = "省名字")
    private String provinceName;

    @Schema(description = "市编码")
    private String city;
    @Schema(description = "市名字")
    private String cityName;

    @Schema(description = "区/县编码")
    private String districts;
    @Schema(description = "区/县名字")
    private String districtsName;

    @Schema(description = "街道编码")
    private String street;
    @Schema(description = "街道编码")
    private String streetName;

    @Schema(description = "详细地址")
    private String address;

    @Schema(description = "联系人")
    private ContactPersonInfo contactPersonInfo;

    @Schema(description = "是否启用")
    private IsEnable isEnable;

    @Schema(description = "审核状态")
    private CheckStatus checkStatus;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;
}
