package com.changhu.module.superManagement.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.superManagement.pojo.queryParams.AssessmentRecordPagerQueryParams;
import com.changhu.module.superManagement.pojo.vo.AssessmentRecordDetailVo;
import com.changhu.module.superManagement.pojo.vo.AssessmentRecordPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/11/22 下午3:05
 * @desc AssessmentRecordService...
 */
public interface AssessmentRecordService {
    /**
     * 分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<AssessmentRecordPagerVo> pager(PageParams<AssessmentRecordPagerQueryParams, AssessmentRecordPagerVo> queryParams);

    /**
     * 扣分详情
     *
     * @param assessmentRecordId 考核记录id
     * @return 结果
     */
    List<AssessmentRecordDetailVo> deductedDetail(Long assessmentRecordId);
}
