package com.changhu.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 考核记录明细 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class CkAssessmentRecordDetails extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 考核记录id
     */
    private Long ckAssessmentRecordId;

    /**
     * 考核项目id
     */
    private Long ckProjectId;

    /**
     * 考核分组id
     */
    private Long ckGroupId;

    /**
     * 考核项id
     */
    private Long ckItemId;

    /**
     * 考核标准id
     */
    private Long ckStandardId;


}
