package com.changhu.pojo.vo;

import com.changhu.common.db.enums.CheckStatus;
import com.changhu.common.utils.UserUtil;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/2 上午10:42
 * @desc SecurityUnitCheckStatusVo...
 */
@Data
public class UnitCheckStatusVo {

    @Schema(description = "审核状态")
    private CheckStatus checkStatus;
    @Schema(description = "备注")
    private String remark;
    @Schema(description = "账号")
    private String account;
    @Schema(description = "密码")
    private String password = UserUtil.DEFAULT_PASSWORD;
}
