export interface EnterprisesUnit {
    snowFlakeId?: string;
    /** policeUnitId **/
    policeUnitId?: string;
    /** name **/
    name?: string;
    /** type **/
    type?: BaseEnum<string>;
    /** province **/
    province?: string;
    /** city **/
    city?: string;
    /** districts **/
    districts?: string;
    /** street **/
    street?: string;
    /** address **/
    address?: string;
    /** point **/
    point?: [number, number];
    /** contactPersonInfo **/
    contactPersonInfo?: {
        name: string;
        telephone: string;
    };
    /** remark **/
    remark?: string;
}

export interface StatisticsVo {
    enterprisesUnitTotal: number;
    serviceProjectTotal: number;
    securityUserTotal: number;
}
